cascading.tap.partition

## Class PartitionTupleEntryIterator

- java.lang.Object
- - cascading.tap.partition.PartitionTupleEntryIterator

All Implemented Interfaces:
  Iterator<Tuple>

    public class PartitionTupleEntryIterator
    extends Object
    implements Iterator<Tuple>

### Constructor Summary

Constructors
Constructor and Description
`PartitionTupleEntryIterator(Fields sourceFields, Partition partition, String parentIdentifier, String childIdentifier, TupleEntrySchemeIterator schemeIterator)`

### Method Summary

Methods
`boolean` `hasNext()`
`Tuple` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PartitionTupleEntryIterator

    public PartitionTupleEntryIterator(Fields sourceFields,
                               Partition partition,
                               String parentIdentifier,
                               String childIdentifier,
                               TupleEntrySchemeIterator schemeIterator)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Tuple>`

#### next

    public Tuple next()

Specified by:
  `next` in interface `Iterator<Tuple>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<Tuple>`